Module org.firebirdsql.jaybird
Package org.firebirdsql.gds

# Class GDSException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.sql.SQLException
org.firebirdsql.gds.GDSException

All Implemented Interfaces:
  `Serializable`, `Iterable<Throwable>`

@Deprecated(since="6", forRemoval=true) public class GDSException extends SQLException
Deprecated, for removal: This API element is subject to removal in a future version.
Use a normal SQLException or subclass, this class may be removed in Jaybird 7 or later
A GDS-specific exception

NOTE: This class is only retained for some compatibility with older implementations of `GDSFactoryPlugin` which previously declared `throws GDSException` for some of its `getDatabasePath` methods.

Author:
  Mark Rotteveel
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GDSException(int fbErrorCode)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Create a new instance.
  `GDSException(int fbErrorCode, Throwable cause)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Create a new instance.
  `GDSException(String message)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Create a new instance with only a simple message.

- ## Method Summary

  ### Methods inherited from class java.sql.SQLException

  `getErrorCode, getNextException, getSQLState, iterator, setNextException`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### GDSException

    public GDSException(int fbErrorCode)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Create a new instance.
    Parameters:
      `fbErrorCode` - Firebird error code, one of the constants declared in `ISCConstants`

  - ### GDSException

    public GDSException(int fbErrorCode, Throwable cause)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Create a new instance.
    Parameters:
      `fbErrorCode` - Firebird error code, one of the constants declared in `ISCConstants`
      `cause` - Cause of this exception

  - ### GDSException

    public GDSException(String message)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Create a new instance with only a simple message.
    Parameters:
      `message` - Message for the new exception